SSLSessionBindingEvent (Java SE 14 & JDK 14)
Description: declaration: module: java.base, package: javax.net.ssl, class: SSLSessionBindingEvent
Keywords: javax.net.ssl.SSLSessionBindingEvent class

Module java.base
Package javax.net.ssl

# Class SSLSessionBindingEvent

java.lang.Object
java.util.EventObject
javax.net.ssl.SSLSessionBindingEvent

All Implemented Interfaces:
  `Serializable`

    public class SSLSessionBindingEvent
    extends EventObject

This event is propagated to a SSLSessionBindingListener. When a listener object is bound or unbound to an SSLSession by `SSLSession.putValue(String, Object)` or `SSLSession.removeValue(String)`, objects which implement the SSLSessionBindingListener will be receive an event of this type. The event's `name` field is the key in which the listener is being bound or unbound.

Since:
  1.4
See Also:
  `SSLSession`, `SSLSessionBindingListener`, Serialized Form

- ## Field Summary

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SSLSessionBindingEvent​(SSLSession session, String name)` | Constructs a new SSLSessionBindingEvent.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getName()` | Returns the name to which the object is being bound, or the name from which the object is being unbound.
  `SSLSession` | `getSession()` | Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.

  ### Methods declared in class java.util.EventObject

  `getSource, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SSLSessionBindingEvent

    public SSLSessionBindingEvent​(SSLSession session, String name)
    Constructs a new SSLSessionBindingEvent.
    Parameters:
      `session` - the SSLSession acting as the source of the event
      `name` - the name to which the object is being bound or unbound
    Throws:
      `IllegalArgumentException` - if `session` is null.

- ## Method Details

  - ### getName

    public String getName()
    Returns the name to which the object is being bound, or the name from which the object is being unbound.
    Returns:
      the name to which the object is being bound or unbound

  - ### getSession

    public SSLSession getSession()
    Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.
    Returns:
      the `SSLSession`